textures/dingopent/pentagram
{
	q3map_lightimage textures/dingopent/pentagram.jpg
        q3map_surfacelight 100


	{
		map textures/dingopent/pentagram.jpg
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/dingopent/pentagrama.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/dingopent/pentagramb.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/dingolava/lava
{
	qer_editorimage textures/dingolava/lava1.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256

	//cull disable
	nofog
	deformVertexes wave 64 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingolava/lava1.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/dingolava/lava2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}


//	END

textures/dingolava/lava2
{
	qer_editorimage textures/dingolava/lava1.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256

	//cull disable
	nofog


	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingolava/lava1.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/dingolava/lava2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

textures/dingopot/pot
{
	qer_editorimage textures/dingopot/pot.jpg
	//qer_trans .5
	q3map_globaltexture
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 256

	//cull disable
	nofog
	deformVertexes wave 64 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingopot/pot2.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/dingopot/pot2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}


//	END

textures/dingopot/pot2
{
	qer_editorimage textures/dingopot/pot.jpg
	//qer_trans .5
	q3map_globaltexture
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 256

	//cull disable
	nofog


	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
	{
		fog on
		map textures/dingopot/pot.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}
{
		map textures/dingopot/pot2.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

textures/tjdingo3/bluey
{
	qer_editorimage textures/tjdingo3/blue.jpg	
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
		q3map_nonplanar
	    q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo3/blue.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo3/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}

textures/tjdingo3/white
{
	qer_editorimage textures/tjdingo3/white.jpg	
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
		q3map_nonplanar
	    q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tjdingo3/white.jpg	
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}  
	{
		map textures/tjdingo3/shiney.jpg
   		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
		tcGen environment
    }
}